%define gkrellweather_version	2.0.8
%define seti_version		0.7.0b
%define gkrellStock_version	0.5.1
%define gkrellShoot_version	0.4.4
%define snmp_version		1.1
%define gkrellmitime_version	1.0
%define volume_version		2.1.13
%define mailwatch_version	2.4.3
%define gkrellmss_version	2.6
%define gkrellmwireless_version	2.0.3
%define radio_version		2.0.4
%define gkrellkam_version	2.0.0
%define fmonitor_version	2.0.4
%define reminder_version	2.0.0
%define gkrellmoon_version	0.6
%define gkleds_version		0.8.0
%define gkrellmbgchg2_version	0.1.9
%define gkrellsun_version	1.0.0
%define hddtemp_version		0.2-beta
%define timers_version		1.3
%define gkrelltop_version	2.2.13
%define gkrellmlaunch_version 0.5
%define cpufreq_version		0.6.4

Name:		gkrellm-plugins
Summary:	Plugins for gkrellm
Version:	2.3.11
Release:	%mkrel 3
License:	GPLv2
Group:		Monitoring
URL:		http://gkrellm.net
Source2:	gkrellm-volume-%{volume_version}.tar.gz
Source3:	gkrellm-mailwatch-%{mailwatch_version}.tar.gz
Source4:	gkrellmitime-%{gkrellmitime_version}.tar.bz2
Patch0:		gkrellmitime-1.0-link.patch
Source5:	gkrellstock-%{gkrellStock_version}.tar.bz2
Patch5:		gkrellstock-0.5.1.path.patch
Source6:	https://prdownloads.sourceforge.net/gkrellshoot/gkrellshoot-%{gkrellShoot_version}.tar.gz
Source7:	http://members.dslextreme.com/~billw/gkrellmss/gkrellmss-%{gkrellmss_version}.tar.gz
Source8:	gkrellmwireless-%{gkrellmwireless_version}.tar.bz2
Source9:	gkrellm-radio-%{radio_version}.tar.bz2
Source10:	gkrellkam_%{gkrellkam_version}.tar.bz2
Source11:	gkrellweather-%{gkrellweather_version}.tgz
Patch4:		gkrellweather-2.0.8-fix-path.patch
Source12:	gkrellm-fmonitor-%{fmonitor_version}.tgz
Patch1:		gkrellm-fmonitor-2.0.4-link.patch
Source13:	gkrellm-reminder-%{reminder_version}.tar.bz2
Source14:	gkrellmoon-%{gkrellmoon_version}.tar.bz2
Source15:	gkrellm_snmp-%{snmp_version}.tar.gz
Source16:	gkleds-%{gkleds_version}.tar.bz2
Patch3:		gkleds-0.8.0-link.patch
Source17:	http://www.bender-suhl.de/stefan/comp/sources/gkrellmbgchg2-%{gkrellmbgchg2_version}.tar.gz
Source18:	https://sourceforge.net/projects/gkrellsun/files/gkrellsun%20gkrellm-2.2/1.0.0/gkrellsun-%{gkrellsun_version}.tar.gz
Source20:	seti-%{seti_version}.tar.bz2
Patch2:		seti-%{seti_version}-gkrellm2.patch
Source21:	gkrellm-hddtemp-%{hddtemp_version}.tar.bz2
Source22:	gkrellm_timers-%{timers_version}.tar.bz2
Source23:	https://sourceforge.net/projects/gkrelltop/files/gkrelltop/2.2.13/gkrelltop_%{gkrelltop_version}.orig.tar.gz
Source24:	gkrellmlaunch-%{gkrellmlaunch_version}.tar.bz2 
Source25:	http://christoph.winkelmann.googlepages.com/gkrellm2-cpufreq-%{cpufreq_version}.tar.gz

Requires:	gkrellm = %{version}
BuildRequires:	pkgconfig(gkrellm) = %{version}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	libfftw-devel
BuildRequires:	libmcrypt-devel
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xtst)
%ifarch		%{ix86} x86_64
BuildRequires:  cpufrequtils-devel
%endif
BuildRequires:  pkgconfig(alsa)

%description
This package contains some plugins for gkrellm.  Included are the following
plugins:

  * volume, controls mixer
  * mailwatch, watches individual mailboxes for new mail
  * gkrellmitime, displays internet time
  * gkrellmss, sound scope
  * gkrellmwireless, monitors the link quality of a wirless LAN card
  * gkrellm-radio, radio tuner interface
  * gkrellweather, checks and reports weather conditions
  * fmonitor, displays contents of files
  * reminder, a cron-lick scheduler
  * gkleds, plugin which monitors CapsLock, NumLock, ScrollLock
  * gkrellmbgchg, Change your background on a schedule
  * gkrellsun, Sunrise and Sunset display
  * gkx86info, Calculates Mhz/Ghz of processor
  * gkrellmoon, shows the phases of the moon
  * seti, displays information about your seti progress
  * gkrellm-hddtemp, displays temperatures of hard disks
  * gkrellmlaunch, allows one click access to programs

%package snmp
Summary:	SNMP plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
BuildRequires:	net-snmp-devel

%description snmp
gkrellm_snmp, SNMP monitor.

%package stock
Summary:	Stock plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}

%description stock
gkrellStock, a stock monitor.

%package shoot
Summary:	Shoot plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	imagemagick

%description shoot
gkrellShoot, a screen locker and screen capture krell.

%package kam
Summary:	Kam plugin for %{name}
Group:		Monitoring
Requires:	gkrellm = %{version}
Requires:	wget

%description kam
gkrellkam, monitor static images such as webcams.

%prep
%setup -T -c -n %{name}
%setup -q -T -D -c -a 2 -n %{name}
%setup -q -T -D -c -a 3 -n %{name}
%setup -q -T -D -c -a 4 -n %{name}
%setup -q -T -D -c -a 5 -n %{name}
%setup -q -T -D -c -a 6 -n %{name}
%setup -q -T -D -c -a 7 -n %{name}
%setup -q -T -D -c -a 8 -n %{name}
%setup -q -T -D -c -a 9 -n %{name}
%setup -q -T -D -c -a 10 -n %{name}
%setup -q -T -D -c -a 11 -n %{name}
%setup -q -T -D -c -a 12 -n %{name}
%setup -q -T -D -c -a 13 -n %{name}
%setup -q -T -D -c -a 14 -n %{name}
%setup -q -T -D -c -a 15 -n %{name}
%setup -q -T -D -c -a 16 -n %{name}
%setup -q -T -D -c -a 17 -n %{name}
%setup -q -T -D -c -a 18 -n %{name}
%setup -q -T -D -c -a 20 -n %{name}
%setup -q -T -D -c -a 21 -n %{name}
%setup -q -T -D -c -a 22 -n %{name}
%setup -q -T -D -c -a 23 -n %{name}
%setup -q -T -D -c -a 24 -n %{name}
%setup -q -T -D -c -a 25 -n %{name}

(cd seti-%{seti_version}
%patch2 -p1 -b .gtk2
)
(cd gkrellweather-%{gkrellweather_version}
%patch4 -p1 -b .path
)
(cd gkrellStock-%{gkrellStock_version}
%patch5 -p0 -b .path
)
(cd gkrellm-fmonitor-%{fmonitor_version}
%patch1 -p1 -b .link
)
(cd gkleds-%{gkleds_version}
%patch3 -p1 -b .link
)
(cd gkrellmitime-%{gkrellmitime_version}
%patch0 -p1 -b .link
)

# (tv) fix build:
perl -pi -e 's!( -Wl | -Wl$| -W1)! !' */Makefile

%build
%define _disable_ld_no_undefined 1
(cd gkrellm-volume
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellm-mailwatch
make CFLAGS="%{optflags} %{ldflags} `pkg-config gtk+-2.0 --cflags` -fPIC"
)
(cd gkrellmitime-%{gkrellmitime_version}
make CFLAGS="%{optflags} `pkg-config gtk+-2.0 --cflags` -fPIC" LDFLAGS="%{ldflags}"
)
(cd gkrellStock-%{gkrellStock_version}
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellShoot-%{gkrellShoot_version}
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellmss-%{gkrellmss_version}
( cd src ; ./configure --without-esd )
make CFLAGS="%{optflags} %{ldflags} -fcommon"
)
(cd gkrellmwireless
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellm-radio
make WITH_LIRC=1
)
(cd gkrellkam-%{gkrellkam_version}
make CFLAGS="%{optflags} %{ldflags} `pkg-config gtk+-2.0 --cflags` -fPIC"
)
(cd gkleds-%{gkleds_version}
%ifarch x86_64
make X11_LIB="-lX11 -lXtst" CFLAGS="%{optflags} -fPIC" LFLAGS="%{ldflags}"
%else
make CFLAGS="%{optflags} -fPIC" LFLAGS="%{ldflags}"
%endif
)
(cd gkrellmbgchg2-%{gkrellmbgchg2_version}
make CFLAGS="%{optflags} %{ldflags} `pkg-config gtk+-2.0 --cflags` -fPIC"
)
(cd gkrellm-fmonitor-%{fmonitor_version}
make CFLAGS="%{optflags} `pkg-config gtk+-2.0 --cflags` -fPIC" LFLAGS="%{ldflags}"
)
(cd gkrellmoon-%{gkrellmoon_version}
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellm-reminder-%{reminder_version}
make CFLAGS="%{optflags} %{ldflags} `pkg-config gtk+-2.0 --cflags` -fPIC"
)
(cd gkrellm_snmp-%{snmp_version}
make CFLAGS="%{optflags} `pkg-config gtk+-2.0 --cflags` -fPIC" LFLAGS="%{ldflags} -shared"
)
(cd gkrellsun-%{gkrellsun_version}/src20
make CFLAGS="%{optflags} %{ldflags}"
)
(cd gkrellweather-%{gkrellweather_version}
make PREFIX=%{_prefix} CFLAGS="%{optflags} `pkg-config gtk+-2.0 --cflags` -fPIC" LFLAGS="%{ldflags} -shared" LIBS="`pkg-config gtk+-2.0 --libs` -lm"
)
(cd seti-%{seti_version}
make CFLAGS="%{optflags} %{ldflags} `pkg-config gtk+-2.0 --cflags` -fPIC"
)
(cd gkrellm-hddtemp-%{hddtemp_version}
make gkrellm2 CFLAGS="%{optflags} %{ldflags} -fPIC"
)
(cd gkrellm_timers-%{timers_version}
make CFLAGS="%{optflags} %{ldflags}"
)
( cd gkrelltop-%{gkrelltop_version}.orig
make clean
make CFLAGS="%{optflags} %{ldflags}"
)
( cd gkrellmlaunch-%{gkrellmlaunch_version}
make CFLAGS="%{optflags} %{ldflags}"
)
%ifarch		%{ix86} x86_64
(cd gkrellm2-cpufreq-%{cpufreq_version}
make CFLAGS="%{optflags} %{ldflags}"
)
%endif

%install
mkdir -p %{buildroot}%{_libdir}/gkrellm2/plugins
mkdir -p %{buildroot}%{_datadir}/gkrellm2/scripts
install -c -m 755 gkrellm-volume/volume.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellm-mailwatch/mailwatch.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmitime-%{gkrellmitime_version}/gkrellm_itime.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellStock-%{gkrellStock_version}/gkrellstock.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellStock-%{gkrellStock_version}/GetQuote2 %{buildroot}%{_datadir}/gkrellm2/scripts
install -c -m 755 gkrellShoot-%{gkrellShoot_version}/gkrellshoot.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmss-%{gkrellmss_version}/src/gkrellmss.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmwireless/wireless.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellm-radio/radio.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellkam-%{gkrellkam_version}/gkrellkam2.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellweather-%{gkrellweather_version}/gkrellweather.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellweather-%{gkrellweather_version}/GrabWeather %{buildroot}%{_datadir}/gkrellm2/scripts
install -c -m 755 gkrellm-fmonitor-%{fmonitor_version}/fmonitor.so  %{buildroot}%{_libdir}/gkrellm2/plugins
#install -c -m 755 gkrellm-fmonitor-%{fmonitor_version}/sensors.tcl %{buildroot}%{_bindir}
install -c -m 755 gkrellm-reminder-%{reminder_version}/reminder.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellm_snmp-%{snmp_version}/gkrellm_snmp.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkleds-%{gkleds_version}/gkleds.so  %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmbgchg2-%{gkrellmbgchg2_version}/gkrellmbgchg.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellsun-%{gkrellsun_version}/src20/gkrellsun.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmoon-%{gkrellmoon_version}/gkrellmoon.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 seti-%{seti_version}/seti.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellm-hddtemp-%{hddtemp_version}/gkrellm-hddtemp.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellm_timers-%{timers_version}/gkrellm_timers.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrelltop-%{gkrelltop_version}.orig/gkrelltop{,d}.so %{buildroot}%{_libdir}/gkrellm2/plugins
install -c -m 755 gkrellmlaunch-%{gkrellmlaunch_version}/gkrellmlaunch.so %{buildroot}%{_libdir}/gkrellm2/plugins
%ifarch		%{ix86} x86_64
install -c -m 755 gkrellm2-cpufreq-%{cpufreq_version}/cpufreq.so %{buildroot}%{_libdir}/gkrellm2/plugins
%endif

# setup various docs
mkdir -p doc/gkleds
cp gkleds-%{gkleds_version}/{COPYING,Changelog,License,README,TODO,Themes} doc/gkleds
mkdir -p doc/gkrellm-fmonitor
cp gkrellm-fmonitor-%{fmonitor_version}/README doc/gkrellm-fmonitor
mkdir -p doc/gkrellm-hddtemp
cp gkrellm-hddtemp-%{hddtemp_version}/{COPYING,README} doc/gkrellm-hddtemp
mkdir -p doc/gkrellm-mailwatch
cp gkrellm-mailwatch/{Changelog,README} doc/gkrellm-mailwatch
mkdir -p doc/gkrellm-radio
cp gkrellm-radio/{CHANGES,README,lirc.example} doc/gkrellm-radio
mkdir -p doc/gkrellm-reminder
cp gkrellm-reminder-%{reminder_version}/{COPYING,ChangeLog,INSTALL,README} doc/gkrellm-reminder
mkdir -p doc/gkrellm-volume
cp gkrellm-volume/{COPYRIGHT,Changelog,README,THEMING} doc/gkrellm-volume
mkdir -p doc/timers
cp gkrellm_timers-%{timers_version}/{ChangeLog,README,TODO} doc/timers
mkdir -p doc/gkrellmbgchg2
cp gkrellmbgchg2-%{gkrellmbgchg2_version}/{ChangeLog,README,TODO} doc/gkrellmbgchg2
mkdir -p doc/gkrellmitime
cp gkrellmitime-%{gkrellmitime_version}/{COPYING,ChangeLog,README} doc/gkrellmitime
mkdir -p doc/gkrellmlaunch
cp gkrellmlaunch-%{gkrellmlaunch_version}/{CHANGELOG,COPYING,LICENSE,README} doc/gkrellmlaunch
mkdir -p doc/gkrellmoon
cp gkrellmoon-%{gkrellmoon_version}/{AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README} doc/gkrellmoon
mkdir -p doc/gkrellmss
cp gkrellmss-%{gkrellmss_version}/{COPYRIGHT,Changelog,INSTALL,README,Themes} doc/gkrellmss
mkdir -p doc/gkrellmwireless
cp gkrellmwireless/{Changelog,README} doc/gkrellmwireless
mkdir -p doc/gkrellsun
cp gkrellsun-%{gkrellsun_version}/{AUTHORS,COPYING,INSTALL,README} doc/gkrellsun
mkdir -p doc/gkrelltop
cp gkrelltop-%{gkrelltop_version}.orig/README doc/gkrelltop
mkdir -p doc/gkrellweather
cp gkrellweather-%{gkrellweather_version}/{COPYING,ChangeLog,README} doc/gkrellweather
mkdir -p doc/seti
cp seti-%{seti_version}/{AUTHORS,BUGS,COPYING,ChangeLog,INSTALL,INSTALL.gtk2,LICENSE,NEWS,README,README-pcpu,TODO} doc/seti
%ifarch		%{ix86} x86_64
mkdir -p doc/cpufreq
cp gkrellm2-cpufreq-%{cpufreq_version}/{ChangeLog,LICENSE,README} doc/cpufreq
%endif

# fix some perms
chmod 644 doc/gkrellmoon/*
chmod 644 doc/gkleds/*
chmod 644 doc/gkrelltop/*

%files
%doc doc/*
%{_libdir}/gkrellm2/plugins/*
%exclude %{_libdir}/gkrellm2/plugins/gkrellm_snmp.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellstock.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellshoot.so
%exclude %{_libdir}/gkrellm2/plugins/gkrellkam2.so
%{_datadir}/gkrellm2/scripts/GrabWeather

%files snmp
%doc gkrellm_snmp-%{snmp_version}/ChangeLog
%doc gkrellm_snmp-%{snmp_version}/FAQ
%doc gkrellm_snmp-%{snmp_version}/README
%doc gkrellm_snmp-%{snmp_version}/TODO
%{_libdir}/gkrellm2/plugins/gkrellm_snmp.so

%files stock
%doc gkrellStock-%{gkrellStock_version}/COPYING
%doc gkrellStock-%{gkrellStock_version}/ChangeLog
%doc gkrellStock-%{gkrellStock_version}/README
%{_libdir}/gkrellm2/plugins/gkrellstock.so
%{_datadir}/gkrellm2/scripts/GetQuote2

%files shoot
%doc gkrellShoot-%{gkrellShoot_version}/ChangeLog
%doc gkrellShoot-%{gkrellShoot_version}/README
%{_libdir}/gkrellm2/plugins/gkrellshoot.so

%files kam
%doc gkrellkam-%{gkrellkam_version}/README
%doc gkrellkam-%{gkrellkam_version}/COPYING
%doc gkrellkam-%{gkrellkam_version}/Changelog
%doc gkrellkam-%{gkrellkam_version}/INSTALL
%doc gkrellkam-%{gkrellkam_version}/Release
%doc gkrellkam-%{gkrellkam_version}/Todo
%doc gkrellkam-%{gkrellkam_version}/example.list
%{_libdir}/gkrellm2/plugins/gkrellkam2.so


%changelog
* Tue Nov 03 2020 akien <akien> 2.3.11-3.mga8
+ Revision: 1642000
- Rebuild for libnetsnmp

* Sun Jun 28 2020 joequant <joequant> 2.3.11-2.mga8
+ Revision: 1599884
- fix gcc10
- fix for gcc10 compile
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 02 2020 daviddavid <daviddavid> 2.3.11-1.mga8
+ Revision: 1552977
- Update to follow new gkrellm 2.3.11

* Fri Feb 14 2020 umeabot <umeabot> 2.3.10-4.mga8
+ Revision: 1521651
- Mageia 8 Mass Rebuild

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.3.10-3.mga7
+ Revision: 1346025
- rebuild for net-snmp

* Sun Sep 23 2018 umeabot <umeabot> 2.3.10-2.mga7
+ Revision: 1297899
- Mageia 7 Mass Rebuild

* Mon Jan 02 2017 bcornec <bcornec> 2.3.10-1.mga6
+ Revision: 1079632
- Update to follow new gkrellm

* Sat Sep 03 2016 bcornec <bcornec> 2.3.7-1.mga6
+ Revision: 1049852
- Update due to gkrellm 2.3.7

* Sat Apr 02 2016 pterjan <pterjan> 2.3.5-18.mga6
+ Revision: 997542
- Restrict cpufreq plugin to x86

* Fri Feb 19 2016 umeabot <umeabot> 2.3.5-17.mga6
+ Revision: 969848
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 2.3.5-16.mga6
+ Revision: 880165
- reenable debuginfo & fix empty debuginfo (patch 1)

* Wed Sep 09 2015 neoclust <neoclust> 2.3.5-15.mga6
+ Revision: 874926
- Fix build with new rpm ( empty debuginfo)

* Mon Aug 31 2015 cjw <cjw> 2.3.5-14.mga6
+ Revision: 871418
- add -fPIC to CFLAGS where needed

* Wed Oct 15 2014 umeabot <umeabot> 2.3.5-13.mga5
+ Revision: 739732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.5-12.mga5
+ Revision: 679602
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 bcornec <bcornec> 2.3.5-11.mga5
+ Revision: 672442
- Update to cpufreq 0.6.4 as per https://bugs.mageia.org/show_bug.cgi?id=13529

* Fri Oct 18 2013 umeabot <umeabot> 2.3.5-10.mga4
+ Revision: 522196
- Mageia 4 Mass Rebuild

* Thu Feb 14 2013 fwang <fwang> 2.3.5-9.mga3
+ Revision: 398359
- should be libs
- should be libs
- add linkage
- more fix

* Thu Feb 14 2013 fwang <fwang> 2.3.5-8.mga3
+ Revision: 398352
- build shared
- build shared
- more linkage fix
- unzip patch

* Thu Feb 14 2013 fwang <fwang> 2.3.5-7.mga3
+ Revision: 398345
- use ldflags
- more fix
- more fix
+ tv <tv>
- /usr/X11R6/lib64 is no more
- fix build
- clean spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 eatdirt <eatdirt> 2.3.5-6.mga2
+ Revision: 180280
- Rebuilt for fftw-3.3

* Mon Sep 19 2011 fwang <fwang> 2.3.5-5.mga2
+ Revision: 145319
- rebuild for new libpng
+ guillomovitch <guillomovitch>
- rebuild for latest net-snmp

* Mon May 09 2011 misc <misc> 2.3.5-3.mga1
+ Revision: 96668
- remove old obsoletes
- add requires on libalsa-devel for gkrellmss
- disable esd in gkrellmss
- rebuilt without esound-devel

* Tue Apr 12 2011 ahmad <ahmad> 2.3.5-2.mga1
+ Revision: 83566
- obsolete gkrellm-plugins-mms since we don't have xmms and don't build this
  plugin any more

* Fri Mar 25 2011 ennael <ennael> 2.3.5-1.mga1
+ Revision: 77478
- remove xmms for now as we may not import it
- clean spec file
- imported package gkrellm-plugins

